turbosearch(1)

NAME
turbosearch - wordlist url search tool

OPTIONS
 turbosearch [OPTION]

DESCRIPTION
The program was developed in Python, brute force style, with the purpose of performing a search in a list of words.

Supports multi-threading, that is, several simultaneous connections, speeding up the search process.

USAGE
optional arguments:

    -h, --help
        show this help message and exit

General Setting:

    -t [target url]
        target url (ex: http://10.10.10.10/path)

    -w [word list]
        word list to be tested

    -T [tasks]
        number of connects in parallel (per host, default: 16)

    -o [output file]
        save output to disk (default: none)

    -x [extensions]
        Append each request with this extensions (comma-separated values)

Custom Settings:

    -R, --restore
        restore a previous aborted/crashed session

    -I, --ignore
        ignore an existing restore file (don't wait 10 seconds)

    -D, --double-path
        multiply a payload set to search 2 path levels (ex: word1/word2)

    --proxy [target proxy]
        target proxy URL (ex: http://127.0.0.1:8080)

    --report-to [target proxy]
        target proxy URL to report only successful requests (ex: http://127.0.0.1:8080)

    --deep
        Deep Search: Look for URLs inside of HTML results

    -v, --verbose
        Shows more options (-h -v). Prints commands and outputs. (default: quiet)

    --full-log
        Print full requested URLs (default: no)

    --no-forward-location
        Disable forward to Location response address (default: no)

    --ignore-result [filter]
        ignore resuts by result code or/and size (ex1: 302 or ex2: 302:172 or ex3: 405,302:172)

    --find [text to find]
        Text to find in content or header (comma-separated values)

    --method [http method]
        Specify request method (default: GET). Available methods: GET, POST,PUT, PATCH, HEAD, OPTIONS, all or comma-separated values

    --random-agent
        Use randomly selected HTTP User-Agent header value (default: no)

    --header [headers]
        JSON-formatted header key/value (ex: '{"PHPSESSID": "gvksi1cmjl2kqgntqof19sh823"}')

    --ci, --case-insensitive
        Case Insensitive search: put all wordlist in lower case

    --stats-db
        Save reported URI at SQLite local database called stats.db (default: no)

    --no-robots
        Not look for robots.txt (default: no)

Word List Options:

    --md5-search
        Search for a MD5 Hash version of each word (default: no)

    --sha1-search
        Search for a SHA1 Hash version of each word (default: no)

    --sha256-search
        Search for a SHA256 Hash version of each word (default: no)

    --hash-upper
        In case of Hash Search be enabled, also search by Uppercase of Hash Hex Text (default: no)

    --no-dupcheck
        Do not check duplicate words in wordlist. Use in case of big wordlists (default: False)

EXAMPLES
Utilization samples:

    turbosearch -t http://10.10.10.10/ -w /usr/share/dirb/wordlists/big.txt
    turbosearch -t http://10.10.10.10/ -w /usr/share/dirb/wordlists/big.txt -x .html,.xml,.php,.txt
    turbosearch -t http://10.10.10.10/ -w /usr/share/dirb/

AUTHORS
Written by Hélvio Junior (aka M4v3r1ck) <helvio_junior@hotmail.com>

This manual page was written by Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>

for the Debian project (but may be used by others).